#include "wx/wx.h"
#include <vector>

using namespace std; 

class PanelElementos
{
	public:
		PanelElementos(wxWindow* id_ventana_padre, int orientacion);	
		wxBoxSizer* getContenedor();
		void Deshabilitar();
		void Habilitar();
	private:
		/*	Asocia las cadenas con los tooltips de ayuda a 
			los botones */
		void establecerToolTips();
		/* Si es true activa la botonera, si no, la desactiva*/
		void ActivarBotones(bool habilitar);
		wxBoxSizer* contenedorBotones;
		wxBoxSizer* contenedorIzquierdo;
		wxBoxSizer* contenedorDerecho;
		
		wxBitmapButton* botonTemporizador;
		wxBitmapButton* botonRele;
		wxBitmapButton* botonContador;
		wxBitmapButton* botonElectroiman;
		wxBitmapButton* botonReed;
		wxBitmapButton* botonPulsador;
		wxBitmapButton* botonZumbador;
		wxBitmapButton* botonBiestable;
		wxBitmapButton* botonLampara;
		wxBitmapButton* botonMotor;
		wxBitmapButton* botonFotosensor;
		wxBitmapButton* botonSistema;
		
		int orientacion;
		wxWindow* id_ventana_padre;
		
		vector<wxBitmapButton*> vectorBotones;
		
};

enum
{
	wxID_PULSADOR=10000, 	wxID_TEMPORIZADOR, 	wxID_RELE, 
	wxID_CONTADOR, 			wxID_ELECTROIMAN, 	wxID_REED, 
	wxID_ZUMBADOR, 			wxID_BIESTABLE,		wxID_FOTOSENSOR,
	wxID_LAMPARA,			wxID_MOTOR,			wxID_SISTEMA
};
