#include "elemento.h"

#ifndef _reed_
#define _reed_

class Reed: public Elemento
{
	public:
		Reed (Magnetismo *mReposo=NULL, Voltaje* vReposo=NULL,
			Magnetismo *mActivacion=NULL, Voltaje* vActivacion=NULL );
		int	setEntrada (Senal* v, int posicion=POS_ENTRADA);	
		
		/*	Metodos getter */
		
		Magnetismo* getMagnetismoReposo();
		Magnetismo* getMagnetismoActivacion();
		Voltaje*	getVoltajeSalidaReposo();
		Voltaje*	getVoltajeSalidaActivacion();
		
		virtual NodoXML getXML ( DOMImplementation* impl );
		virtual void 		construir (DOMElement*);
	protected:
		Magnetismo*	magReposo;
		Magnetismo*	magActivacion;
		
		Voltaje*	voltajeSalidaReposo;
		Voltaje*	voltajeSalidaActivacion;
			
};

#endif
