#include "dialogosistema.h"
#include "dialogo.h"
#include "sistema.h"

IMPLEMENT_CLASS (DialogoSistema, Dialogo)
DialogoSistema::DialogoSistema()
{
	Init();
}

DialogoSistema::DialogoSistema ( 	wxWindow* ventanaPadre, wxWindowID id,
							const wxString& titulo,
							const wxPoint&  posicion,
							const wxSize&   tam,
							long  			estilo ) 
{
		Init();
		Dialogo::Create (ventanaPadre, id, titulo, posicion, tam, estilo);
}

		
void DialogoSistema::Init()
{
	/*	Aqui se inicializan las variables */
}





void DialogoSistema::ConstruirControles()
{
	
	/*	Se crean los contenedores. El sistema no va a llevar
		nada dentro, ya que para configurarlo solo va a llevar
		los objetos que conoce */
	contenedorCentral	=	new wxBoxSizer	(wxVERTICAL);
	
	
	
	/*	Ahora que ya se tienen los controles centrales, se incrustan
		en el cuadro de dialogo basico estandar */
	
	ConstruirCuadroDeDialogo (contenedorCentral);
    
}

/*************************************************/
/* Implementacion de los metodos getter y setter */
/*************************************************/

void DialogoSistema::getPropiedades ( Elemento* elemento )
{
	Sistema *s = (Sistema*) elemento;
	TransferirDeNombreDeElementoAControl (s);

}

void DialogoSistema::setPropiedades ( Elemento* elemento )
{
	Sistema *s = (Sistema*) elemento;
	TransferirDeControlANombreDeElemento (s);
}
		
/*************************************************/
/*	Fin de implementacion de los getter y setter */		
/*************************************************/
