#ifndef _lamparavisual_h

#define _lamparavisual_h

#include "elementovisual.h"
#include "../dialogos/dialogolampara.h"
class LamparaVisual :public ElementoVisual
{
	public:
		LamparaVisual ();
		virtual void setElementoEnvuelto (Elemento* e);
		virtual Dialogo* FabricarDialogo();
		/* La lampara se dibuja de un modo especial, ya
			que si est activa tiene que dibujarse
			con el color que tenga. De ahi que tenga su
			propio mtodo */
		virtual void 		DibujarElemento (wxDC& dc);
		/*	Convierte un color expresado mediante una cadena a wxColour*/
		wxColour			getColor (const char* color);
	private:
		/*	Colores que adopta la lampara en funcion de si est activa */
		wxColour colorReposo;
		wxColour colorActivacion;
};
#endif

