#include "elemento.h"

#ifndef _rele_
#define _rele_

class Rele: public Elemento
{
	public:
		
		Rele ( Voltaje* v1=NULL, Conexion* c1=NULL,
			 Voltaje* v2=NULL, Conexion* c2=NULL);
		Conexion*	getConexionReposo();
		Conexion*	getConexionActivacion();
		Voltaje*	getVoltajeReposo();
		Voltaje*	getVoltajeActivacion();
		int			setEntrada (Senal* s, int posicion=POS_ENTRADA);
		
		
		virtual NodoXML getXML ( DOMImplementation* impl );
		virtual void 	construir   ( DOMElement* );
	protected:
		Conexion* c1;
		Conexion* c2;
		Voltaje*  v1;
		Voltaje*  v2;
};

#endif
